Subject: bug#42827: 27.1; ~/Emacs file not read at init

From: Alan Mackenzie <[email-masked]>
Date: 12 Aug 2020 14:26:57 -0000

In article <[email-masked]> you wrote:
> Hi there,

> Emacs ignores ~/Emacs file at startup. Below are the relevant lines 
> from strace:
> --------------------------------------------
> openat(AT_FDCWD, "/home/tomaszen_AU.utf8/Emacs", O_RDONLY) = -1 ENOENT
> (No such file or directory)
> openat(AT_FDCWD, "/home/tomaszEmacs", O_RDONLY) = -1 ENOENT (No such
> file or directory)
> uname({sysname="Linux", nodename="schooner", ...}) = 0
> --------------------------------------------
> "/home/tomaszEmacs" should clearly be "/home/tomasz/Emacs" and
> "/home/tomaszen_AU.utf8/Emacs" should
> be "/home/tomasz/en_AU.utf8/Emacs"

> Forgotten / somewhere? 

I'm not certain, but I think the problem might well be your upper case
"E" at the beginning of the file name.  I think you also want a ".",
giving a name like

    /homt/tomasz/.emacs

.  Hope that helps!

> Best regards,

> Tomasz
> -- 
> Associate Professor, Dept. of Mathematics & Statistics, 
> La Trobe University, Melbourne, VIC3086, Australia. 
> Phone: (+61) 3 9479 2595,
> Web (personal): tomasz-kowalski.github.io

-- 
Alan Mackenzie (Nuremberg, Germany).